FUNCTION TEMPLATE (3)

NAME
boost::algorithm::all - 'All' predicate

SYNOPSIS

// In header: <boost/algorithm/string/predicate.hpp>
template<typename RangeT, typename PredicateT>
  bool all(const RangeT & Input, PredicateT Pred);

DESCRIPTION

This predicate holds it all its elements satisfy a given condition, represented by the predicate.

Parameters:

    Input
        An input sequence

    Pred
        A predicate

Returns:
    The result of the test

Notes:
    This function provides the strong exception-safety guarantee